<?php
session_start();
include "verifica.php";
include "validaciones.php";

@$xnombre_empresa=$_REQUEST['xnombre_empresa'];
@$xruc_dni=$_REQUEST['xruc_dni'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];

@$xtelefono=$_REQUEST['xtelefono'];
@$xdireccion=$_REQUEST['xdireccion'];


@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$transEmp = new TransportistasEmpresa;

switch($xaccion){
	
	case "adicionar": 
		if($transEmp->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Empresa de Transporte creada satisfactoriamente.")
			parent.location.href="../transportistas_empresa.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($transEmp->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Empresa de Transporte modificada satisfactoriamente.")
			parent.location.href="../transportistas_empresa.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":	
		//if($vali->marcas($conexion,$xaccion,$xid)==1){
		/*
		if($vali->transportistas_empresa($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
		*/
			if($transEmp->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Transportista eliminado satisfactoriamente.")
				parent.location.href="../transportistas_empresa.php";
				</script>			
				<?php
				
			}
		//}			
		break;

	case "activar":
		if($transEmp->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}


class TransportistasEmpresa{

	//Adiciona registro
	function adicionar($conexion){
		global $xnombre_empresa, $xruc_dni, $xaccion, $xid, $xestado, $xusuario_sesion, $xtelefono, $xdireccion;	
							
		$r = mysqli_query($conexion,"insert into transportistas_empresa (traemp_nombre,
												traemp_ruc_dni,
												traemp_direccion,
												traemp_telefono,
												traemp_usu_crea
												)
										values ('$xnombre_empresa', 
												'$xruc_dni',
												'$xdireccion',
												'$xtelefono',
												'$xusuario_sesion');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica registro
	function modificar($conexion){
		global $xnombre_empresa, $xruc_dni, $xaccion, $xid, $xestado, $xusuario_sesion, $xtelefono, $xdireccion;	

		$r = mysqli_query($conexion,"update transportistas_empresa set traemp_nombre = '$xnombre_empresa', 
												  traemp_ruc_dni = '$xruc_dni',
												  traemp_direccion = '$xdireccion',
												  traemp_telefono = '$xtelefono',
												  traemp_usu_modifica = '$xusuario_sesion'
										where traemp_codi = $xid;");
		
		if($r){		
				
			return 1;
		}	
	
	}	
	

	//Elimina registro
	function eliminar($conexion){	
		global $xnombre_empresa, $xruc_dni, $xaccion, $xid;

		$r = mysqli_query($conexion,"delete from transportistas_empresa where traemp_codi = $xid;");
		
		if($r){		
				
			return 1;
		}	
	}		


	//Activa registro
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update transportistas_empresa set traemp_estado = '$xestado',
												 traemp_usu_activa = '$xusuario_sesion' 
											where traemp_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
